Bug 788722 - problematic copyright information on 389-ds-base/ldap/servers/snmp/*
Summary: problematic copyright information on 389-ds-base/ldap/servers/snmp/*
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-08 22:00 UTC by Rich Megginson
Modified: 2012-06-20 07:13 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.10.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Reading copyright headers in some .mib files included with the server. Consequence: Cannot copy files under certain conditions. Fix: Remove the problematic files. Result: No copyright problems.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:13:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0813 normal SHIPPED_LIVE Low: 389-ds-base security, bug fix, and enhancement update 2012-06-19 19:29:15 UTC

Description Rich Megginson 2012-02-08 22:00:49 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/284

There are files under this directory which don't have a copyright header, and then NETWORK-SERVICES-MIB.txt prohibits changing it.

Please merge the needed definitions to netscape-ldap.mib and redhat-directory.mib so that these *.txt files could be removed, or fix the headers and remove NETWORK-SERVICES-MIB.txt.

It's going to cause issues when trying to push it to Debian, which has strict free software guidelines. Same applies to Ubuntu too, so this is basically a blocker for inclusion..

Comment 2 Rich Megginson 2012-04-16 16:32:46 UTC
steps
1) clean install - verify that the only file in /usr/share/dirsrv/mibs is redhat-directory.mib
2) upgrade from RHEL 6.2 to RHEL 6.3 389-ds-base - verify that the only file in /usr/share/dirsrv/mibs is redhat-directory.mib

Comment 3 Amita Sharma 2012-05-07 06:57:46 UTC
[root@dhcp201-174 ~]# ls /usr/share/dirsrv/mibs
redhat-directory.mib

Hence VERIFIED.

Comment 4 Rich Megginson 2012-05-24 23:14:56 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Reading copyright headers in some .mib files included with the server.
Consequence: Cannot copy files under certain conditions.
Fix: Remove the problematic files.
Result: No copyright problems.

Comment 5 errata-xmlrpc 2012-06-20 07:13:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html


Note You need to log in before you can comment on or make changes to this bug.